%global _enable_debug_package 0
%global debug_package %{nil}

%define         rel 1
%define         codename Omega
#define         kodi_rc rc2

%define kodi_dir xbmc-%{version}%{?kodi_rc:%{kodi_rc}}-%{codename}

%if "%distro_section" == "tainted"
%define         with_dvdcss 1
%else
%define         with_dvdcss 0
%endif

# Use bundled ffmpeg(1) or system ffmpeg(0)
%define		with_ffmpeg 0

%define         _firewalld %{_prefix}/lib/firewalld

Name:           kodi
Version:        21.1
Release:        %mkrel %{?kodi_rc: -c %{kodi_rc}} %{rel}
Summary:        Kodi - media player and home entertainment system
Group:          Video/Players
License:        GPLv2+ and GPLv2 and (LGPLv3+ with exceptions)
URL:            https://kodi.tv
Source0:        https://github.com/xbmc/xbmc/archive/%{version}%{?kodi_rc:%{kodi_rc}}-%{codename}.tar.gz#/%{name}-%{version}%{?kodi_rc:%{kodi_rc}}-%{codename}.tar.gz
Source2:        https://github.com/xbmc/libdvdcss/archive/1.4.3-Next-Nexus-Alpha2-2.tar.gz#/libdvdcss-1.4.3-Next-Nexus-Alpha2-2.tar.gz
Source3:        https://github.com/xbmc/libdvdnav/archive/6.1.1-Next-Nexus-Alpha2-2.tar.gz#/libdvdnav-6.1.1-Next-Nexus-Alpha2-2.tar.gz
Source4:        https://github.com/xbmc/libdvdread/archive/6.1.3-Next-Nexus-Alpha2-2.tar.gz#/libdvdread-6.1.3-Next-Nexus-Alpha2-2.tar.gz
%if %with_ffmpeg
Source5:        https://github.com/xbmc/FFmpeg/archive/5.1.2-Nexus-Alpha3.tar.gz
%endif
# Build dependency ONLY
# wget -O apache-groovy-binary-4.0.16.zip http://mirrors.kodi.tv/build-deps/sources/apache-groovy-binary-4.0.16.zip
Source6:        apache-groovy-binary-4.0.16.zip

Source10:       cpuinfo
Source11:       VERSION

Patch3:         kodi-19.0-remove-git-string.patch
Patch5:         cheat-sse-build.patch

%if %with_ffmpeg
Patch6:		kodi-20.0b1-Nexus-use-ffmpeg-5.1.2-Nexus.patch
%endif

Patch7:		kodi-20.0b1-Nexus-mga-find-correct-crossguid-include.patch

# Upstream patches since release

BuildRequires:  autoconf
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  pkgconfig(expat)
%if !%with_ffmpeg
BuildRequires:  ffmpeg-devel
%endif
BuildRequires:  pkgconfig(cwiid)
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  crossguid-devel
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(flatbuffers)
BuildRequires:  cmake(fmt)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(dvdread)
BuildRequires:  pkgconfig(dvdnav)
BuildRequires:  pkgconfig(lzo2)
BuildRequires:  pkgconfig(openssl)
#BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libpcrecpp)
BuildRequires:  rapidjson
BuildRequires:  pkgconfig(sqlite3)
#BuildRequires:  pkgconfig(taglib) >= 2
BuildRequires:  taglib1-devel
BuildRequires:  pkgconfig(tinyxml)
BuildRequires:  pkgconfig(tinyxml2)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(avahi-core)
BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(libbluray)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(libcec)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(liblircclient0)
BuildRequires:  pkgconfig(libmicrohttpd)
BuildRequires:  pkgconfig(libnfs)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  pkgconfig(sndio)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  graphviz
BuildRequires:  doxygen
BuildRequires:  mesaegl-devel
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(mariadb)
BuildRequires:  pkgconfig(libplist-2.0)
BuildRequires:  pkgconfig(libupnp)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(dvdnav)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  giflib-devel
BuildRequires:  git-core
BuildRequires:  glibc-devel
# Build fails with java 21
#BuildRequires:  java-openjdk-headless
BuildRequires:  java-17-openjdk-headless
BuildRequires:  apache-commons-lang3
BuildRequires:  apache-commons-text
BuildRequires:  shairplay-devel
BuildRequires:  swig
BuildRequires:  yasm
BuildRequires:  pkgconfig(fstrcmp)
BuildRequires:  pkgconfig(spdlog)
BuildRequires:  pkgconfig(libudfread)
BuildRequires:  pkgconfig(vdpau)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(wavpack)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-client++)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(libdisplay-info)

%ifarch %ix86
BuildRequires:  nasm
%endif

Requires:       lsb-release

# TODO: FEH.py is useless nowadays, drop it here and upstream.
# for FEH.py, to check current configuration is ok for xbmc:
Requires:       xdpyinfo
Requires:       glxinfo
# for xbmc python scripts:
Requires:       python3dist(pillow)

Provides:       xbmc = %{version}-%{release}

%description
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

While Kodi functions very well as a standard media player application
for your computer, it has been designed to be the perfect companion
for your HTPC. Supporting an almost endless range of remote controls,
and combined with its beautiful interface and powerful skinning
engine, Kodi feels very natural to use from the couch and is the
ideal solution for your home theater.

%if %with_dvdcss
The tainted package contains support for DVDCSS.
%endif

%package        firewalld-services
Summary:        Firewall services for Kodi
Group:          Video/Players
License:        GPLv2+
BuildArch:      noarch
Requires(pre):  firewalld-filesystem
Requires:       %{name} >= %{version}-%{release}

%description    firewalld-services
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the firewall services for Kodi.

%package        addon-devel
Summary:        Development files for Kodi
Group:          Development/C
License:        GPLv2+
Provides:	%{name}-devel = %{version}-%{release}

%description    addon-devel
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains files needed to build addons and eventclients.

%package        eventclients-common
Summary:        Common files for Kodi eventclients
Group:          Video/Players
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-python = %{version}-%{release}

%description    eventclients-common
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains common files for eventclients.

%package        eventclient-ps3
Summary:        PS3 eventclients for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       python3dist(pybluez)
Requires:       %{name}-eventclients-common = %{version}-%{release}
# requires via zeroconf.py, only used by xbmc-ps3d:
Requires:       python3-gobject
Requires:       python3dist(dbus-python)

%description    eventclient-ps3
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the PS3 remote and sixaxis eventclients.

%package        eventclient-wiiremote
Summary:        Wii Remote eventclient for Kodi
Group:          Video/Players
License:        GPLv3+
Requires:       %{name}-eventclients-common = %{version}-%{release}

%description    eventclient-wiiremote
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the Wii Remote eventclient.

%package        eventclient-%{name}-send
Summary:        PS3 eventclient for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       %{name}-eventclients-common = %{version}-%{release}

%description    eventclient-%{name}-send
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the %{name}-send eventclient.

%package        python-bt
Summary:        Bluetooth Python scripts for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       %{name} >= %{version}-%{release}
BuildArch:      noarch

%description    python-bt
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the bluetooth python scripts.

%package        python
Summary:        Common Python scripts for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       %{name} >= %{version}-%{release}
BuildArch:      noarch

%description    python
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the common python scripts for Kodi.

%package        python-xbmcclient
Summary:        XBMCClient Python scripts for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       %{name} >= %{version}-%{release}
BuildArch:      noarch

%description    python-xbmcclient
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the xbmcclient python scripts.

%package        python-zeroconf
Summary:        Zeroconf Python scripts for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       %{name} >= %{version}-%{release}
BuildArch:      noarch

%description    python-zeroconf
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the zeroconf python scripts.

%package        texturepacker
Summary:        Zeroconf Python scripts for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}

%description    texturepacker
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the Texturepacker program for Kodi.

%prep
%autosetup -p1 -n %{kodi_dir}

pushd ..
unzip %{S:6}
popd

cp -a  %{S:10} %{S:11} .

%if %with_ffmpeg
cp -a %{S:5} tools/depends/target/ffmpeg/
%endif

# CPU flags
%ifarch %{ix86}
sed -i -e 's/@FLAGS@/sse sse2/' cpuinfo
%else
sed -i -e 's/@FLAGS@/sse sse2 pni ssse3 sse4_1 sse4_2 avx avx2/' cpuinfo
%endif

# otherwise backups end up in binary rpms
find -type f \( -name '*.00??' -o -name '*.00??~' \) -print -delete

# remove prebuilt libraries
find -type f \( -iname '*.so' -o -iname '*.dll' -o -iname '*.exe' \) -print -delete

%py3_shebang_fix \
  addons lib tools

# We don't want Kodi to check if a new version is available
# because we want to control the updates
rm -rf addons/service.xbmc.versioncheck

%build
export GIT_DISCOVERY_ACROSS_FILESYSTEM=1
export PKGCONFIGPATH=${PKG_CONFIG_PATH}:%{_libdir}/pkgconfig:%{_prefix}/lib
export PKG_CONFIG_PATH=${PKG_CONFIG_PATH}:%{_libdir}/pkgconfig:%{_prefix}/lib
export JAVA_HOME=%{_prefix}

%ifarch %ix86
%global debugcflags -g1
%endif

%cmake -GNinja \
       -DENABLE_INTERNAL_CROSSGUID=OFF \
       -DENABLE_INTERNAL_CEC=OFF \
       -DENABLE_INTERNAL_FSTRCMP=OFF \
       -DENABLE_INTERNAL_DAV1D=OFF \
       -DENABLE_INTERNAL_UDFREAD=OFF \
       -DENABLE_INTERNAL_GTEST=OFF \
       -DENABLE_INTERNAL_RapidJSON=OFF \
       -DENABLE_INTERNAL_FLATBUFFERS=OFF \
       -DENABLE_INTERNAL_FMT=OFF \
       -DENABLE_INTERNAL_GTEST=OFF \
       -DENABLE_INTERNAL_TAGLIB=OFF \
       -DENABLE_EVENTCLIENTS=ON \
       -DENABLE_UDFREAD=ON \
       -DENABLE_LIRCCLIENT=ON \
       -DENABLE_CCACHE=OFF \
       -DENABLE_TESTING=OFF \
       -DVERBOSE=ON \
       -DFREETYPE_INCLUDE_DIR=%{_includedir}/freetype2 \
       -DLIBDVD_LIBRARIES=%{_libdir} \
%if %with_ffmpeg
       -DENABLE_INTERNAL_FFMPEG=ON \
%else
       -DENABLE_INTERNAL_FFMPEG=OFF \
       -DFFMPEG_PATH=%{_bindir} \
       -DWITH_FFMPEG=%{_bindir} \
%endif
%if %with_dvdcss
       -DLIBDVDCSS_URL=%{SOURCE2} \
       -DENABLE_DVDCSS=ON \
%else
       -DENABLE_DVDCSS=OFF \
%endif
       -Dgroovy_SOURCE_DIR=%{_builddir}/groovy-4.0.16 \
       -Dapache-commons-lang_SOURCE_DIR=%{_javadir} \
       -Dapache-commons-text_SOURCE_DIR=%{_javadir}/apache-commons-text \
       -DAPP_RENDER_SYSTEM=gl \
       -DKODI_DEPENDSBUILD=OFF \
       -DLIBDVDREAD_URL=%{S:4} \
       -DLIBDVDNAV_URL=%{S:3} \
       -DPYTHON_EXECUTABLE=%{python3}

%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/kodi/system/certs/

# A hack to put the 'addons' dir in the place Kodi
# looks for it
pushd %{buildroot}%{_libdir}/%{name}
ln -s ../../share/kodi/addons
popd

# Remove duplicate binary
rm -f %{buildroot}%{_bindir}/TexturePacker

%clean
rm -f /tmp/cpuinfo

%files texturepacker
%{_bindir}/kodi-TexturePacker

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-standalone
%{_libdir}/%{name}/
%exclude %{_datadir}/%{name}/cmake/
%exclude %{_libdir}/%{name}/cmake/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/wayland-sessions/kodi-gbm.desktop
%{_datadir}/xsessions/%{name}.desktop
%{_docdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}/
%{_metainfodir}/org.xbmc.kodi.metainfo.xml

%files firewalld-services
%{_firewalld}/services/%{name}-eventserver.xml
%{_firewalld}/services/%{name}-http.xml
%{_firewalld}/services/%{name}-jsonrpc.xml

%files addon-devel
%{_includedir}/%{name}
%{_datadir}/%{name}/cmake/
%{_libdir}/%{name}/cmake/

%files eventclients-common
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png

%files eventclient-ps3
%{_bindir}/%{name}-ps3remote
%{python3_sitelib}/%{name}/ps3/
%{python3_sitelib}/%{name}/__pycache__/ps3*
%{python3_sitelib}/%{name}/ps3_remote.*

%files eventclient-%{name}-send
%{_bindir}/%{name}-send

%files eventclient-wiiremote
%{_bindir}/kodi-wiiremote

%files python-bt
%{python3_sitelib}/%{name}/bt/

%files python
%{python3_sitelib}/%{name}/defs.*
%{python3_sitelib}/%{name}/__init__.*
%{python3_sitelib}/%{name}/__pycache__/__init*
%{python3_sitelib}/%{name}/__pycache__/defs*

%files python-xbmcclient
%{python3_sitelib}/%{name}/xbmcclient.*
%{python3_sitelib}/%{name}/__pycache__/xbmc*

%files python-zeroconf
%{python3_sitelib}/%{name}/zeroconf.*
%{python3_sitelib}/%{name}/__pycache__/zero*



%changelog
* Wed Oct 09 2024 daviddavid <daviddavid> 21.1-1.mga10
+ Revision: 2104332
- new version: 21.1-Omega

* Tue Oct 08 2024 daviddavid <daviddavid> 20.5-5.mga10.tainted
+ Revision: 2104099
- rebuild with taglib1

* Wed Oct 02 2024 daviddavid <daviddavid> 20.5-3.mga10
+ Revision: 2102454
- rebuild for new fmt 11.0.2

* Thu May 09 2024 wally <wally> 20.5-2.mga10.tainted
+ Revision: 2063210
- build with java-17-openjdk-headless
- add patch to fix build with gcc >= 13
- enable only sse2 on i686
- rebuild for spdlog 1.14.1

* Sat Mar 02 2024 kekepower <kekepower> 20.5-1.mga10.tainted
+ Revision: 2047208
- Update to version 20.5

* Sat Feb 24 2024 kekepower <kekepower> 20.4-2.mga10.tainted
+ Revision: 2044055
- Add BR wayland to really enable Wayland support
- Remove config option for dvdcss outside of if..endif
- Add new config options

* Fri Feb 23 2024 kekepower <kekepower> 20.4-1.mga10.tainted
+ Revision: 2043770
- Backport upstream patch to fix building with Swig 4.2.0
- Add upstream patches from stable Nexus branch
- Enable Wayland and GBM
- Update to version 20.4
+ papoteur <papoteur>
- rebuild for python 3.12

* Tue Aug 29 2023 kekepower <kekepower> 20.2-1.mga10.tainted
+ Revision: 1980824
- Update to version 20.2

* Sun May 14 2023 kekepower <kekepower> 20.1-4.mga9
+ Revision: 1956882
- Add patches from the Nexus stable branch

* Sat Apr 22 2023 kekepower <kekepower> 20.1-3.mga9.tainted
+ Revision: 1954012
- Add more patches from stable Nexus branch

* Mon Mar 20 2023 kekepower <kekepower> 20.1-2.mga9.tainted
+ Revision: 1949842
- Add upstream patches from the stable Nexus branch

* Sun Mar 12 2023 kekepower <kekepower> 20.1-1.mga9.tainted
+ Revision: 1948643
- Update to version 20.1

* Sun Jan 15 2023 kekepower <kekepower> 20.0-1.mga9
+ Revision: 1933277
- Remove merged patches
- Update to version 20.0 final
- Provide kodi-devel as well as kodi-addon-devel

* Mon Dec 19 2022 kekepower <kekepower> 20.0-0.rc2.1.mga9
+ Revision: 1925291
- Update to version 20.0rc2

* Sat Dec 10 2022 kekepower <kekepower> 20.0-0.rc1.1.mga9.tainted
+ Revision: 1920213
- Add patch to fix build with mesa 22.3.x
- Update to version 20.0rc1

* Sat Nov 12 2022 kekepower <kekepower> 20.0-0.b1.2.mga9
+ Revision: 1906330
- Add cmake files to correct package (kodi-addon-devel)

* Sat Nov 12 2022 kekepower <kekepower> 20.0-0.b1.1.mga9
+ Revision: 1905964
- Update to version 20.0b1-Nexus
+ neoclust <neoclust>
- Add P7: Fix build against fmt 9.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Mon Mar 07 2022 luigiwalser <luigiwalser> 19.4-2.mga9.tainted
+ Revision: 1789521
- rebuild for libnfs

* Thu Mar 03 2022 kekepower <kekepower> 19.4-1.mga9.tainted
+ Revision: 1788082
- Update to version 19.4

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 19.3-2.mga9.tainted
+ Revision: 1787423
- rebuild for python-3.10

* Sun Oct 24 2021 kekepower <kekepower> 19.3-1.mga9.tainted
+ Revision: 1752828
- Update to version 19.3

* Fri Oct 08 2021 kekepower <kekepower> 19.2-1.mga9.tainted
+ Revision: 1750117
- Update to version 19.2

* Sat Oct 02 2021 wally <wally> 19.1-4.mga9.tainted
+ Revision: 1747882
- rebuild for openssl 3.0.0

* Fri Jun 25 2021 wally <wally> 19.1-3.mga9
+ Revision: 1732184
- rebuild for fmt 8.0.0
+ kekepower <kekepower>
- Disable GNU gold linker to get debug symbols

* Mon Jun 07 2021 kekepower <kekepower> 19.1-1.mga9.tainted
+ Revision: 1729974
- Update to version 19.1
+ akien <akien>
- Rebuild for sndio 1.8.0 with fixed SONAME

* Sat Feb 27 2021 kekepower <kekepower> 19.0-2.mga9.tainted
+ Revision: 1693053
- Bump rel to enable upgrade

* Fri Feb 19 2021 kekepower <kekepower> 19.0-1.mga8.tainted
+ Revision: 1675614
- Update to version 19.0 Final

* Fri Jan 15 2021 kekepower <kekepower> 19.0-1.rc1.2.mga8.tainted
+ Revision: 1671944
- Set RC1 to lower-case to allow updating

* Fri Jan 15 2021 tmb <tmb> 19.0-1.RC1.1.mga8.tainted
+ Revision: 1671928
- fix rel to higher than current git snapshot
+ kekepower <kekepower>
- Update to version 19.0RC1

* Fri Jan 01 2021 kekepower <kekepower> 19.0-0.git20201231.1.mga8.tainted
+ Revision: 1667539
- Update to snapshot v19.0 git20201231

* Mon Dec 14 2020 kekepower <kekepower> 19.0-0.git20201213.1.mga8.tainted
+ Revision: 1656917
- Update to snapshot v19.0 git20201213

* Sat Dec 05 2020 kekepower <kekepower> 19.0-0.git20201205.1.mga8.tainted
+ Revision: 1653072
- Update to snapshot v19.0 git20201205

* Wed Nov 18 2020 luigiwalser <luigiwalser> 19.0-0.git20201114.2.mga8.tainted
+ Revision: 1647074
- fix libudfread BR

* Sat Nov 14 2020 kekepower <kekepower> 19.0-0.git20201114.1.mga8.tainted
+ Revision: 1646173
- Update to snapshot v19.0 git20201114

* Sat Oct 31 2020 kekepower <kekepower> 19.0-0.git20201031.1.mga8.tainted
+ Revision: 1641008
- Fix build by adding -DAPP_RENDER_SYSTEM=gl
- Update to snapshot v19.0 git20201031

* Sat Oct 24 2020 kekepower <kekepower> 19.0-0.git20201024.1.mga8.tainted
+ Revision: 1639038
- Update to snapshot v19.0 git20201024

* Sat Oct 17 2020 kekepower <kekepower> 19.0-0.git20201017.1.mga8.tainted
+ Revision: 1636655
- Update to snapshot v19.0 git20201017

* Wed Oct 07 2020 kekepower <kekepower> 19.0-0.git20201007.1.mga8.tainted
+ Revision: 1632555
- Update to snapshot v19.0 git20201007
- Install header files for kodi-addon-devel

* Tue Oct 06 2020 kekepower <kekepower> 19.0-0.git20201006.1.mga8.tainted
+ Revision: 1632460
- Update to snapshot v19.0 git20201006
- Install missing header file

* Thu Oct 01 2020 kekepower <kekepower> 19.0-0.git20200930.1.mga8.tainted
+ Revision: 1631406
- Update to snapshot v19.0 git20200930

* Sun Sep 20 2020 kekepower <kekepower> 19.0-0.git20200920.1.mga8.tainted
+ Revision: 1628955
- Update to snapshot v19.0 git20200920

* Wed Sep 09 2020 kekepower <kekepower> 19.0-0.git20200909.1.mga8
+ Revision: 1623799
- Update to snapshot v19.0 git20200909

* Sat Sep 05 2020 daviddavid <daviddavid> 19.0-0.git20200723.2.mga8.tainted
+ Revision: 1622561
- java-openjdk-headless is still needed
- java seems no more needed so let's drop build dependencies
- fix dependencies for eventclient-ps3 sub-pkg

* Fri Jul 24 2020 kekepower <kekepower> 19.0-0.git20200723.1.mga8
+ Revision: 1608814
- Update to snapshot git20200723
+ wally <wally>
- build with new cmake macros

* Fri Jul 17 2020 kekepower <kekepower> 19.0-0.git20200716.1.mga8
+ Revision: 1606685
- Update to snapshot 19.0-git20200716

* Thu Jul 02 2020 kekepower <kekepower> 19.0-0.git20200702.1.mga8
+ Revision: 1601321
- Update to snapshot 19.0-git20200702

* Mon Jun 22 2020 kekepower <kekepower> 19.0-0.git20200622.1.mga8.tainted
+ Revision: 1598525
- Update to snapshot 19.0-git20200622

* Mon Jun 15 2020 kekepower <kekepower> 19.0-0.git20200615.1.mga8
+ Revision: 1593407
- Update to snapshot 19.0-git20200615

* Tue Jun 09 2020 kekepower <kekepower> 19.0-0.git20200609.1.mga8
+ Revision: 1591511
- Update to snapshot 19.0-git20200609

* Fri Jun 05 2020 kekepower <kekepower> 19.0-0.git20200605.1.mga8.tainted
+ Revision: 1590629
- Rediffed Patch3
- Update to snapshot 19.0-git20200605

* Mon Jun 01 2020 kekepower <kekepower> 19.0-0.git20200601.1.mga8
+ Revision: 1589467
- Update to snapshot 19.0-git20200601

* Tue May 26 2020 kekepower <kekepower> 19.0-0.git20200526.1.mga8
+ Revision: 1587693
- Update to snapshot 19.0-git20200526

* Mon May 18 2020 kekepower <kekepower> 19.0-0.git20200517.1.mga8
+ Revision: 1585942
- Update to snapshot 19.0-git20200517

* Mon May 11 2020 kekepower <kekepower> 19.0-0.git20200510.1.mga8
+ Revision: 1582878
- Update to snapshot 19.0-git20200510

* Mon May 04 2020 kekepower <kekepower> 19.0-0.git20200503.1.mga8
+ Revision: 1579624
- Update to snapshot 19.0-git20200503

* Wed Apr 29 2020 daviddavid <daviddavid> 19.0-0.git20200426.2.mga8.tainted
+ Revision: 1573166
- rebuild for new libcec 5.0.0

* Mon Apr 27 2020 kekepower <kekepower> 19.0-0.git20200426.1.mga8.tainted
+ Revision: 1572425
- Update to snapshot 19.0-git20200426

* Fri Apr 17 2020 kekepower <kekepower> 19.0-0.git20200417.1.mga8
+ Revision: 1568445
- Remove old Obsoletes for xbmc-addon-xvdr
- Fix a typo that enabled dvdcss in standard build
- Add support for libudfread
- Update to Kodi 19 Matrix snapshot git20200417

* Thu Feb 20 2020 umeabot <umeabot> 18.5-2.mga8
+ Revision: 1547125
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 kekepower <kekepower> 18.5-1.mga8
+ Revision: 1487509
- Require Python 3 packages to enable clean install
- Update to version 18.5
- Use Python 2 explicitly
- Fix python2 shebangs
+ pterjan <pterjan>
- Use python 2.7 rather than python >= 2.7, now we get python 3 installed
+ wally <wally>
- build with new cmake macros
+ tv <tv>
- rebuild for new libnfs

* Sat Aug 31 2019 kekepower <kekepower> 18.4-1.mga8
+ Revision: 1435971
- Update to version 18.4

* Fri Jul 19 2019 kekepower <kekepower> 18.3-5.mga8
+ Revision: 1422890
- Enable LircClient (mga#25152)

* Sun Jul 14 2019 daviddavid <daviddavid> 18.3-4.mga8
+ Revision: 1421293
- rebuild for new libcdio 2.1.0

* Sat Jul 06 2019 kekepower <kekepower> 18.3-3.mga8
+ Revision: 1419118
- Rebuild for new libfmt

* Thu Jul 04 2019 kekepower <kekepower> 18.3-2.mga8
+ Revision: 1418586
- Obsolete discontinued xbmc-addon-xvdr

* Sat Jun 29 2019 kekepower <kekepower> 18.3-1.mga8
+ Revision: 1415900
- Update to version 18.3

* Mon Apr 22 2019 kekepower <kekepower> 18.2-1.mga7
+ Revision: 1394664
- Update to version 18.2

* Thu Feb 21 2019 kekepower <kekepower> 18.1-2.mga7
+ Revision: 1369251
- Remove bundled certificate (mga#24400)

* Sun Feb 17 2019 kekepower <kekepower> 18.1-1.mga7
+ Revision: 1368031
- Update to version 18.1

* Mon Jan 28 2019 kekepower <kekepower> 18.0-1.mga7
+ Revision: 1361716
- Update to Kodi 18.0 final
- Enable USE_LTO

* Sun Jan 13 2019 daviddavid <daviddavid> 18.0-0.rc5.2.mga7
+ Revision: 1355833
- fix python-dbux dependency
- provides xbmc

* Sat Jan 12 2019 kekepower <kekepower> 18.0-0.rc5.1.mga7
+ Revision: 1355462
- Update to version 18.0rc5
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Thu Jul 19 2018 wally <wally> 17.6-2.mga7
+ Revision: 1244320
- add patch to support aarch64
- disable vdpau and vaapi on aarch64 for now

* Tue May 08 2018 kekepower <kekepower> 17.6-1.mga7
+ Revision: 1227820
- Update to version 17.6
- Build with internal ffmpeg as Kodi does not work with our version

* Fri Apr 13 2018 daviddavid <daviddavid> 17.5-5.mga7
+ Revision: 1218290
- rebuild for new libva

* Fri Feb 02 2018 daviddavid <daviddavid> 17.5-4.mga7
+ Revision: 1198581
- rebuild for new libnfs 2.0.0

* Sun Jan 14 2018 wally <wally> 17.5-3.mga7
+ Revision: 1193045
- rebuild for new libcdio

* Sat Dec 23 2017 wally <wally> 17.5-2.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Thu Oct 26 2017 eatdirt <eatdirt> 17.5-1.mga7
+ Revision: 1173867
- Upgrade to version 17.5

* Thu Jun 08 2017 eatdirt <eatdirt> 17.3-9.mga6
+ Revision: 1107309
- Fix permissions at kodi's exit

* Wed Jun 07 2017 eatdirt <eatdirt> 17.3-8.mga6
+ Revision: 1107185
- Fix security issue mga#13418

* Mon May 29 2017 eatdirt <eatdirt> 17.3-7.mga6
+ Revision: 1105515
- Refix files list for arm

* Mon May 29 2017 eatdirt <eatdirt> 17.3-6.mga6
+ Revision: 1105483
- Fix files section for arm

* Sun May 28 2017 eatdirt <eatdirt> 17.3-5.mga6
+ Revision: 1105379
- Tentative fix of arm builds, adding relevant debian patch?

* Fri May 26 2017 eatdirt <eatdirt> 17.3-4.mga6
+ Revision: 1105064
- Tentative fix for arm build, disabling neon
- Tentative fix for arm build, disabling neon

* Fri May 26 2017 eatdirt <eatdirt> 17.3-3.mga6
+ Revision: 1104920
- Tentative fix arm build; disabling x11 for test

* Fri May 26 2017 eatdirt <eatdirt> 17.3-2.mga6
+ Revision: 1104868
- Tentative fix arm build: disabling gl, enabling gles

* Thu May 25 2017 eatdirt <eatdirt> 17.3-1.mga6
+ Revision: 1104521
- Upgrade to version 17.3

* Tue May 02 2017 akien <akien> 17.1-2.mga6
+ Revision: 1098295
- Rebuild for ffmpeg 3.3

* Fri Mar 31 2017 eatdirt <eatdirt> 17.1-1.mga6
+ Revision: 1095515
- Upgrade to bug fix release 17.1

* Tue Feb 14 2017 eatdirt <eatdirt> 17.0-4.mga6
+ Revision: 1086137
- Cleaing spec, tentative fix for arm build

* Tue Feb 14 2017 eatdirt <eatdirt> 17.0-3.mga6
+ Revision: 1086129
- Remove obsoletes pvr-addons

* Fri Feb 10 2017 eatdirt <eatdirt> 17.0-2.mga6
+ Revision: 1085564
- Fix missing BR to cms2-devel and versionning of cec-devel > 4.0

* Fri Feb 10 2017 eatdirt <eatdirt> 17.0-1.mga6
+ Revision: 1085527
- Upgrade to latest stable

* Tue Jan 10 2017 luigiwalser <luigiwalser> 16.1-5.mga6
+ Revision: 1080921
- rebuild for libass

* Sun Aug 21 2016 anssi <anssi> 16.1-4.mga6
+ Revision: 1047624
- Fix missing X session in Mageia 6 (mga #19230)

* Sat Jun 25 2016 anssi <anssi> 16.1-3.mga6
+ Revision: 1037684
- Add BuildRequires on mesaglesv2-devel, used by default on some platforms

* Sat Jun 25 2016 anssi <anssi> 16.1-2.mga6
+ Revision: 1037658
- Fix missing skin textures due to missing TexturePacker
  (add xbmc-texturepacker-no-static.patch and BR on giflib-devel)

* Wed May 04 2016 daviddavid <daviddavid> 16.1-1.mga6
+ Revision: 1009156
- new version: 16.1 (Jarvis)

* Thu Apr 28 2016 daviddavid <daviddavid> 16.0-2.mga6
+ Revision: 1007228
- rebuild with new libnfs 1.9.8

* Mon Mar 21 2016 daviddavid <daviddavid> 16.0-1.mga6
+ Revision: 993463
- new version: 16.0 (Jarvis)
- rediff patch 0 and patch 214
- remove patch 1 and patch 200
- add BRs pkgconfig(dcadec) and crossguid-devel
- update files list
- rebuild for new glew 1.13
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Jul 16 2015 sander85 <sander85> 14.2-2.mga6
+ Revision: 854808
- Rebuild for new libcdio

* Sat Jun 27 2015 buchan <buchan> 14.2-1.mga6
+ Revision: 846355
- New version 14.2

* Wed Jun 24 2015 akien <akien> 14.0-3.mga6
+ Revision: 842012
- Rebuild for GLEW 1.12

* Wed May 13 2015 neoclust <neoclust> 14.0-2.mga5
+ Revision: 822031
- Add patch to fix CVE-2015-3885

* Tue Dec 30 2014 anssi <anssi> 14.0-1.mga5
+ Revision: 807229
- new version 14.0 final
- update pvr addons
- drop Wformat-security patch, applied upstream

* Thu Nov 27 2014 anssi <anssi> 14.0-0.beta5.1.mga5
+ Revision: 799636
- new version 14.0 beta5

* Tue Nov 25 2014 anssi <anssi> 14.0-0.beta4.2.mga5
+ Revision: 799183
- remove rename compatibility symlinks for directories to allow for
  xbmx => kodi upgrade, since they are not needed (the executable
  compatibility symlinks are kept)

* Mon Nov 24 2014 anssi <anssi> 14.0-0.beta4.1.mga5
+ Revision: 798851
- new version 14.0 beta4

* Mon Nov 24 2014 anssi <anssi> 14.0-0.beta3.1.mga5
+ Revision: 798730
- new version 14.0 beta3
- rename to kodi as per upstream (upstream compatibility symlinks remain)
- depend on shairplay instead of shairport
- use SDL 2.0 instead of 1.x
- bump dependency on libcec
- buildrequires jsoncpp-devel and cryptopp-devel for pvr-addons
- drop obsolete dependencies
- fix -Werror=format-security issue in pvr-addons (submitted upstream)
- drop bootstrap-return-value.patch, applied upstream
+ tv <tv>
- drop useless BR on java-rpmbuild
- rebuild for missing pythoneggs deps
- s/uggests:/Recommends:/
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ buchan <buchan>
- Version 13.2
- Update pvr addon to current git
+ pterjan <pterjan>
- Rebuild for new Python

* Mon May 05 2014 colin <colin> 13.0-1.mga5
+ Revision: 620228
- Add missing BR for yasm
- Add missing BR for libxslt
- Fix up the objectweb-asm3 class path for mga5+
- New version: 13 - Gotham
- Drop upstream patches
- Rediff still applicable downstream patches
- Add format-security patch for pvr-addons (should be upstreamed)
- Temporarily disable db-upgrade patch (may no longer be needed)
- Switch to generic -devel package (rather than eventclients-devel)
+ fwang <fwang>
- rebuild for new libplist
- rebuild for new ffmpeg
+ daviddavid <daviddavid>
- rebuild for new libplist

* Mon Feb 17 2014 colin <colin> 12.3-6.mga5
+ Revision: 593528
- Update to latest PVR addons (adds support for MythTV 0.27)

* Sun Feb 16 2014 luigiwalser <luigiwalser> 12.3-5.mga5
+ Revision: 592550
- rebuild for librtmp

* Sat Feb 15 2014 luigiwalser <luigiwalser> 12.3-4.mga5
+ Revision: 592294
- rebuild for libcdio and libass

* Sun Feb 09 2014 anssi <anssi> 12.3-3.mga5
+ Revision: 587527
- fix CVE-2013-1438 (denial of service via a crafted photo file)

* Wed Feb 05 2014 anssi <anssi> 12.3-2.mga5
+ Revision: 583415
- fix AC-3 encoding for S/PDIF with recent FFmpeg (patches from upstream)
+ colin <colin>
- Update to 12.3 bugfix release + latest PVR addons

* Sun Nov 24 2013 colin <colin> 12.2-6.mga4
+ Revision: 552712
- Update to latest pvr-addons

* Tue Oct 22 2013 umeabot <umeabot> 12.2-5.mga4
+ Revision: 546083
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 12.2-4.mga4
+ Revision: 502119
- include FEH.py[co] in files list

* Wed Sep 11 2013 anssi <anssi> 12.2-3.mga4
+ Revision: 477758
- fix various A/V sync issues (patch from upstream,
  0001-SoftAE-Fix-A-V-sync-issues-caused-by-wrong-buffer-ti.patch)
- fix crash on encoder initialization failure (patch from upstream,
  0001-Fix-crash-when-audio-encoder-is-not-initalized.patch)
- fix build with current ffmpeg (various patches from upstream,
  fixes mga #10973)
- fix zombie process issues causing video playback issues with
  NVIDIA proprietary driver 317+ (from upstream, fixes mga #10485)
- fix handling of file names with spaces in the wrapper script
  (fixes mga #2331)
+ fwang <fwang>
- rebuild for new ffmpeg

* Tue Jul 09 2013 fwang <fwang> 12.2-2.mga4
+ Revision: 451608
- rebuild for new boost

* Sun Jun 02 2013 colin <colin> 12.2-1.mga4
+ Revision: 435328
- New version: 12.2
- Update to lates pvr addons

* Sat Mar 30 2013 colin <colin> 12.1-2.mga3
+ Revision: 406674
- Update PVR addons to latest frodo branch.
- Disable PA support for now as not yet fully stable (still works fine via ALSA->PA layer)

* Fri Mar 29 2013 colin <colin> 12.1-1.mga3
+ Revision: 406450
- Switch pvr-addons tarball to the 12.0-Frodo tag from git.
- Package PVR Addons
- Revert patch from PVR Addons that is unsynced from main xbmc
- Enable PulseAudio support
- New version: 12.1

* Sat Mar 02 2013 anssi <anssi> 12.0-1.mga3
+ Revision: 400965
- 12.0 "frodo" final version
- drop automake1.13.patch, fixed upstream
- fix buildrequires for better backportability

* Mon Jan 14 2013 umeabot <umeabot> 12.0-0.rc3.2.mga3
+ Revision: 386607
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 anssi <anssi> 12.0-0.rc3.1.mga3
+ Revision: 343733
- new version 12.0 rc3 (Frodo)
- drop merged FFmpeg support backport patches
- rediff old upgrade workaround patch
- use system groovy (system-groovy.patch)
- workaround a code generator issue when using system groovy
  (system-groovy-hack.patch)
- fix bootstrap return value in case of autotools error
  (bootstrap-return-value.patch)
- fix build with automake 1.13+ (automake1.13.patch)
- add new buildrequires
- drop PVR patch, merged upstream
  o NOTE: PVR addons are no longer bundled but instead have to be
    installed separately
+ fwang <fwang>
- br pcrecpp
- update rpm group
- rebuild for new ffmpeg

* Thu Aug 30 2012 fwang <fwang> 11.0-1.pvr.5.mga3
+ Revision: 285685
- rebuild for new glew

* Thu Aug 02 2012 fwang <fwang> 11.0-1.pvr.4.mga3
+ Revision: 277861
- rebuild for new glew

* Tue Jul 10 2012 anssi <anssi> 11.0-1.pvr.3.mga3
+ Revision: 269300
- fix missing include in wiiremote eventclient
  (wiiremote-missing-include.patch)
- backport FFmpeg support patches to allow build with cauldron ffmpeg
  (patches 101..145)
+ colin <colin>
- Rebuild against new libudev major

* Fri Mar 30 2012 anssi <anssi> 11.0-1.pvr.2.mga2
+ Revision: 227542
- update PVR patchset to opdenkamp's final 11.0-Eden-pvr tag
- drop obsoleted HAL support (XBMC supports the newer replacements fine;
  reported by Damien Lallement)
- add support for building the package with the bundled ffmpeg using
  --with internal_ffmpeg (not enabled by default)

* Sat Mar 24 2012 anssi <anssi> 11.0-1.pvr.1.mga2
+ Revision: 226110
- XBMC 11.0 Eden final
- update PVR patchset snapshot
- drop patches applied upstream (libpng1.5 build fix, archived subtitle
  loading fix)

* Sat Mar 17 2012 anssi <anssi> 11.0-0.rc2.pvr.3.mga2
+ Revision: 223735
- do not load non-matching subtitles from archives (upstream ticket
  12719, fixed-don-t-load-non-matching-archived-subtitles-fix.patch,
  applied upstream)
- add a workaround for upgrading from old incompatible addon database
  (hack-workaround-for-old-incompatible-PVR-addon-datab.patch)

* Mon Mar 05 2012 anssi <anssi> 11.0-0.rc2.pvr.2.mga2
+ Revision: 219397
- enable Pulse-Eight CEC adapter support via libcec
- use "tarball" for git revision, tarball name is too long
- update .spec comments

* Sat Mar 03 2012 anssi <anssi> 11.0-0.rc2.pvr.1.mga2
+ Revision: 217508
- new version 11.0 rc2 (PVR-patched)
- build against system python
- update license tags and description
- build against udev, yajl, libnfs, libafpclient, libplist, libshairport
- add run-time dependencies on libass and libmpeg2
- upgrade libbluray to a hard dependency
- drop requirement on python-sqlite2, it is no longer used
- drop suggestion on libdca, it is no longer used
- faac and xbms are no longer used, drop mentions of them
- fix build with libpng1.5 (libpng-1.5.patch by Zenkibou) and switch to it
  (dropping use-libpng12.patch)
- fix undefined symbols in MythTV PVR client
  (fixed-undefined-symbols-in-MythTV-PVR-client.patch)
- drop bundled python build support, upstream has dropped support for it
- drop backport patches, patches applied upstream, and patches for the
  previously bundled python
- drop a workaround for the NVIDIA proprietary driver version 260.x.y
  (workaround-for-crash-with-nonpulse-nvidia260.patch)
- use the mainline addon database instead of Addons2.db as the PVR patch
  no longer causes incompatibility (dropped
  changed-use-the-legacy-pvr-testing2-addon-database.patch)
- drop workaround for 23.976 fps mkv files which was needed only on
  Mandriva 2010.1 and older (dropped old-libavformat-mkv-subs.patch)
- drop faad support workaround, faad is no longer used (dropped
  hack-ext-faad-with-int-headers.patch)

* Mon Dec 05 2011 anssi <anssi> 10.1-1.pvr.4.mga2
+ Revision: 176796
- link wiiremote eventclient with -lbluetooth (link-bluetooth.patch,
  fixes build)
- fix some cases of libpng15 being used instead of libpng12, causing
  XBMC to fail to start due to conflicts between libpng12 and libpng15
  as some parts were built against libpng12 (as they do not build with
  libpng15)

* Thu Nov 03 2011 anssi <anssi> 10.1-1.pvr.3.mga2
+ Revision: 162472
- fix build with current FFmpeg
  o 12 patches backported from upstream git master
  o xbmc-pvr-new-ffmpeg.patch
- build with libpng12 instead of libpng (fixes build)
- renumber patches
- fix grammar of a .spec comment

* Sat Apr 30 2011 anssi <anssi> 10.1-1.pvr.2.mga1
+ Revision: 93516
- fix reported version

* Wed Apr 20 2011 anssi <anssi> 10.1-1.pvr.1.mga1
+ Revision: 89302
- new bugfix release 10.1
- drop allow-ppp.patch, fixed upstream
- rediff pvr patch

* Sun Mar 27 2011 ennael <ennael> 10.0-1.pvr.4.mga1
+ Revision: 78144
- clean spec file
- imported package xbmc


* Thu Mar 17 2011 Oden Eriksson <oeriksson@mandriva.com> 10.0-1.pvr.4mdv2011.0
+ Revision: 645900
- relink against libmysqlclient.so.18

* Fri Jan 28 2011 Anssi Hannula <anssi@mandriva.org> 10.0-1.pvr.3
+ Revision: 633676
- fix handling of whitespace in paths in cooker
- clarify a build-time message
- fix build with rpm5 (it doesn't use stderr for an error message)
- allow non-ethernet-encapsulated network connections (e.g. 3G/dial-up,
  allow-ppp.patch)
- fix timing of frame-based subtitles with mkv files with libavformat of
  MDV 2010.1 and earlier (old-libavformat-mkv-subs.patch, reported by
  Mikko Kuivaniemi)

* Sun Dec 26 2010 Funda Wang <fwang@mandriva.org> 10.0-1.pvr.2mdv2011.0
+ Revision: 625205
- rebuild for new libmicrohttpd

  + Anssi Hannula <anssi@mandriva.org>
    - build with debug mode disabled by default
      o to re-enable debug log, use the --debug command line option
        or the GUI setting
    - fix mdkversion check for 2010.2

* Sat Dec 18 2010 Anssi Hannula <anssi@mandriva.org> 10.0-1.pvr.1mdv2011.0
+ Revision: 622892
- 10.0 Dharma final release
- switch to opdenkamp's pvr patches
- drop patches that are already applied in opdenkamp's patch
- rediff patches

* Fri Dec 03 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn35571.dharma.pvr.1mdv2011.0
+ Revision: 605793
- new snapshot from Dharma branch

* Wed Nov 17 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn35305.dharma.pvr.1mdv2011.0
+ Revision: 598419
- new snapshot from Dharma branch
- switch to bundled python on all Mandriva versions as there are
  currently compatibility issues with various python addons when
  system python is used
- turn off the NVIDIA+SDL+pulse issue workaround for the new releases
  of NVIDIA proprietary driver where the issue is fixed
- fix security issues in bundled python (CVE-2007-2052, CVE-2007-4965,
  CVE-2008-1679, CVE-2008-1721, CVE-2008-1887, CVE-2008-2315,
  CVE-2008-3142, CVE-2008-3144, CVE-2008-4864, CVE-2008-5031,
  CVE-2009-2625, CVE-2010-1634, CVE-2010-2089, CVE-2010-3492,
  CVE-2010-3493)

* Thu Nov 04 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn35159.dharma.pvr.1mdv2011.0
+ Revision: 593051
- new snapshot from Dharma branch
- add support for building with bundled python, and use that on cooker
  (using Python 2.7 would cause issues with xbmc addons due to
   non-overridden calls to getcwd and chdir)
- add a note in crashlog indicating gdb not being installed if that is
  the case (backport from upstream master)
- fix 64-bit issues of wiiremote eventclient (backport from upstream
  master)
- add workaround for crash issues with NVIDIA 260.x series drivers
  (http://www.nvnews.net/vbulletin/showthread.php?t=156665)
- fix several pvr binaries to be built with LDFLAGS
- add explicit buildrequires on bluez-devel
- rebuild eventclients for python 2.7
- shorten release string by simplifying 'pvr-testing2' to 'pvr'
- make license tag more specific

* Wed Oct 27 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn35025.dharma.pvr_testing2.2mdv2011.0
+ Revision: 589612
- rebuild due to buildsystem issues

* Tue Oct 26 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn35025.dharma.pvr_testing2.1mdv2011.0
+ Revision: 589549
- new 10.0 snapshot
- make sure the PVR Confluence skin is not replaced with vanilla
  version in the case of a hypothetical addon update

* Sat Oct 09 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn34597.dharma.pvr_testing2.1mdv2011.0
+ Revision: 584442
- new snapshot from 10.0 Dharma branch

* Wed Sep 22 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn33938.dharma.pvr_testing2.3mdv2011.0
+ Revision: 580589
- rebuild for new libmodplug
- silence extra messages from stderr when creating src.rpm

* Sat Sep 18 2010 Anssi Hannula <anssi@mandriva.org> 10.0-0.svn33938.dharma.pvr_testing2.2mdv2011.0
+ Revision: 579483
- new snapshot from Dharma branch
- rediff pvr-testing2 backport patch
- update VDPAU backport patchset
- build with libbluray support
- fix wrong soname in libcrystalhd suggestion
- fix missing dependency on librtmp
- add dependencies on python modules that can be used by xbmc scripts
- remove some unused installed files

* Tue Aug 17 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn32705.dharma.pvr_testing2.2mdv2011.0
+ Revision: 571041
- fix crash if PVR is enabled but unable to connect at startup
- disable VA-API on 2010.1 and older (no support in ffmpeg)

* Wed Aug 11 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn32705.dharma.pvr_testing2.1mdv2011.0
+ Revision: 569134
- new snapshot from Dharma release branch
- add PVR support backported from pvr-testing2 branch
- add VDPAU patchset making advanced deinterlacers actually work
- remove xbmc-fix-snesapu.patch, applied upstream
- build with rtmp support via librtmp
- add PS3 sixaxis eventclient, renaming xbmc-eventclient-ps3remote to
  xbmc-eventclient-ps3

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 9.11-1.svn31746.3mdv2011.0
+ Revision: 561893
- rebuild for microhttpd

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 9.11-1.svn31746.2mdv2011.0
+ Revision: 561098
- rebuild for new microhttpd

* Wed Jul 14 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn31746.1mdv2011.0
+ Revision: 552999
- fix snesapu module build on ix86 (fix-snesapu.patch)
- new snapshot
- switch to trunk, as pvr-testing2 is not up-to-date
- build with external libass
- merge everything except eventclients to the main package (note that
  e.g. pm3-hd skin is now available via OSD addons menu, not in an
  rpm subpackage)
- remove patches for issues fixed upstream: fhs-hack.patch,
  versionize-avcodec-ac3-workaround.patch,
  old-avcodec-without-h264profile-export.patch,
  projectm-fpic.patch, python-unicode-2byte.patch
- remove now unneeded patches: fix-undefined-symbols.patch,
  addons-fhs-hack.patch
- remove now unneeded hunks from hack-ext-libs patch
- remove lots of hacks for issues fixed upstream
- fix LIRC support
- allow undefined symbols in submodules if they are satisfied by main
  binary

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 9.11-1.svn29467.pvr_testing2.2mdv2011.0
+ Revision: 550732
- rebuild for new libmodplug

* Sun Apr 25 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn29467.pvr_testing2.1mdv2010.1
+ Revision: 538787
- fix soname discovery workaround
- versionize upstream avcodec ac3 workaround, now fixed in libavcodec
  (versionize-avcodec-ac3-workaround.patch)
- new snapshot
- add buildrequires on ssh-devel, libva-devel, gettext-devel, expat-devel
- re-enable parallel make
- re-enable now-existing mediaportal linux client
- adapt filelists for addon changes
- fix projectm build (projectm-fpic.patch)
- fix build with old avcodec (old-avcodec-without-h264profile-export.patch)
- update addons-fhs-hack.patch, underlinking.patch, undefined-symbols.patch
- remove patches applied upstream: xbmc-glxvisuals.patch,
  python-module-no-as-needed.patch, fix-glib2.23.4.patch,
  goom-strfmt.patch, fix-save-settings.patch
- remove patches for issues fixed upstream: default-addons.patch,
  stsound-fix-missing-files.patch, xbmc-addon-httpapi.patch,
  merge-actions.patch
- remove now unneeded patches: addon-sonames.patch

* Fri Mar 12 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn28014.pvr_testing2.3mdv2010.1
+ Revision: 518586
- fix build with glib2 2.23.4+ (workaround use of 'byte' as a parameter
  name in gvariant.h)
- remove trailing whitespace from .spec
- new snapshot (pvr-testing2 r2800 + trunk r28014)
- drop xbmc-weather.zip, added upstream
- move addon binaries to libdir as well (addons-fhs-hack.patch)
- fix sonames of newly introduced addon helper shared libs
  (addon-sonames.patch)
- fix underlinking of VDR client (pvr-testing2-underlinking.patch)
- fix build by disabling unused code in addon api (addon-httpapi.patch)
- rediff hack-ext-libs-with-int-headers.patch and xbmc-fhs-hack.patch
- remove xbmc-timidity-format-strings.patch, applied upstream
- load bundled addons (except for PVR clients) by default as before
  (default-addons.patch)
- enable goom visualization addon
- fix format strings in goom (goom-strfmt.patch)
- update xbmc-fix-undefined-symbols.patch for goom
- fix saving of addon settings (fix-save-settings.patch)
- improve OpenGL visual selection algorithm (glxvisuals.patch)
- migrate pvr-testing2 to use CAction as in trunk (merge-actions.patch)
- renumber patches and categorize them
- update buildrequires for upstream changes (added libmicrohttpd-devel,
  libmodplug-devel, zip)
- remove xbmc-web-pm3 subpackage as it has been removed upstream (simple
  json interface is not included in main package)
- remove xbmc-script-examples as it has been removed upstream
- add devel subpackage for building addons
- update .spec comments
- remove now unneeded steps from .spec
- re-enable parallel build
- remove mediaportal client completely as the binary is not built on
  linux yet
- show both undefined symbols and FHS errors in case both kind of errors
  are detected in install stage
- add a comment regarding probably unused fontconfig files in datadir

* Sun Jan 31 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn27303.pvr_testing2.1mdv2010.1
+ Revision: 498857
- new snapshot (r27303 of pvr-testing2)
- remove patches applied upstream (gpl-compat.patch, fix-crash.patch,
  format-strings.patch, fix-trunk-merge.patch)
- build with crystalhd support
- fix python2.6 syntax errors in spyce (spyce.diff from rpmfusion)
- re-enable FEH.py and therefore add requires on glxinfo, xdpyinfo, pygtk2
- fix coding style in timidity-format-strings.patch
- rediff hack-ext-libs-with-int-headers.patch
- add information about disabled features into descriptions

* Sun Jan 17 2010 Anssi Hannula <anssi@mandriva.org> 9.11-1.svn26907.pvr_testing2.1mdv2010.1
+ Revision: 492845
- initial Mandriva release

